## org.eclipse.jet.taglib.java
Class JavaImportsUtil

    java.lang.Object
      org.eclipse.jet.taglib.java.JavaImportsUtil

    public final class JavaImportsUtil

extends java.lang.Object

Utility function for sharing access to `ImportManager` created by the <java:importsManager;> tags.

This class is not intended to be instantiated or extended by clients.

Method Summary
`static org.eclipse.emf.codegen.util.ImportManager` `getImportManager(JET2Writer writer)` Deprecated. Use `JavaActionsUtil.getImportManager(JET2Writer)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getImportManager

    public static org.eclipse.emf.codegen.util.ImportManager getImportManager(JET2Writer writer)
                                                                       throws JET2TagException

  Deprecated. Use `JavaActionsUtil.getImportManager(JET2Writer)` instead

  Return the imports manager installed in the current writer.

  Parameters:
    `writer` - the current writer. Cannot be `null`.
  Returns:
    the imports manager installed on the writer.
  Throws:
    `JET2TagException` - if no <java:importsLocation> tag has executed on the writer.
    `java.lang.NullPointerException` - if `writer` is `null`.

Copyright 2006 IBM Corporation and others. All Rights Reserved.